import json
import setuptools

kwargs = json.loads("""
{
    "name": "aws-cdk.aws-ses-actions",
    "version": "1.32.2",
    "description": "Receipt rule actions for AWS SES",
    "license": "Apache-2.0",
    "url": "https://github.com/aws/aws-cdk",
    "long_description_content_type": "text/markdown",
    "author": "Amazon Web Services",
    "project_urls": {
        "Source": "https://github.com/aws/aws-cdk.git"
    },
    "package_dir": {
        "": "src"
    },
    "packages": [
        "aws_cdk.aws_ses_actions",
        "aws_cdk.aws_ses_actions._jsii"
    ],
    "package_data": {
        "aws_cdk.aws_ses_actions._jsii": [
            "aws-ses-actions@1.32.2.jsii.tgz"
        ],
        "aws_cdk.aws_ses_actions": [
            "py.typed"
        ]
    },
    "python_requires": ">=3.6",
    "install_requires": [
        "jsii~=1.1.0",
        "publication>=0.0.3",
        "aws-cdk.aws-iam==1.32.2",
        "aws-cdk.aws-kms==1.32.2",
        "aws-cdk.aws-lambda==1.32.2",
        "aws-cdk.aws-s3==1.32.2",
        "aws-cdk.aws-ses==1.32.2",
        "aws-cdk.aws-sns==1.32.2",
        "aws-cdk.core==1.32.2",
        "constructs>=2.0.0, <3.0.0"
    ],
    "classifiers": [
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Programming Language :: JavaScript",
        "Programming Language :: Python :: 3 :: Only",
        "Programming Language :: Python :: 3.6",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Typing :: Typed",
        "Development Status :: 4 - Beta",
        "License :: OSI Approved"
    ]
}
""")

with open('README.md') as fp:
    kwargs['long_description'] = fp.read()


setuptools.setup(**kwargs)
